
Foreman - Bug #6835

Unable to use RHEV/ovirt without admin permissions on the rhev cluster

07/30/2014 05:47 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee: Marek Hulán   

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123676 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3288

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123676

Description of problem:

When trying to create a rhev compute resource with non-admin RHEV user, the following error occurs:

"query execution failed due to insufficient permissions."

The reason for this is the RHEV needs to be called with 'Filter: true' headers

for the api to work correctly with non-admin user.

The rbovirt client library supports to specify the filtered_api option, but fog and foreman don't have a support for that

https://github.com/abenari/rbovirt/blob/a7c277e3fc5698e55e95a9432997b1a9c8d486ae/lib/rbovirt.rb#L54-L55

History

#1 - 07/30/2014 05:47 AM - Dominic Cleal

- Category set to Compute resources - oVirt

- Assignee deleted (Dominic Cleal)

#2 - 01/13/2015 04:12 AM - Tom Caspy

added a pull request to the fog gem: https://github.com/fog/fog/pull/3393

#3 - 06/09/2015 02:42 PM - Ohad Levy

Fog PR has been merged a while ago.

#4 - 11/02/2015 04:39 AM - Jorick Astrego

It appears it still doesn't get set in:

foreman-ovirt-1.9.2-1.el6.noarch

ruby193-rubygem-rbovirt-0.0.35-1.el6.noarch

I'll continue on the foreman list from now.

2015-11-02 10:29:17,126 DEBUG [org.ovirt.engine.core.bll.aaa.LoginUserCommand] (ajp--127.0.0.1-8702-9) Found p

ermission fbcb73a0-226e-49d4-9e7a-01c665127a07 for user when running LoginUser, on Bottom with id bbb00000-000

0-0000-0000-123456789bbb

    2015-11-02 10:29:17,128 DEBUG [org.ovirt.engine.core.bll.aaa.LoginBaseCommand] (ajp--127.0.0.1-8702-9) Che

cking if user testuser is an admin, result false

    2015-11-02 10:29:17,129 INFO  [org.ovirt.engine.core.bll.aaa.LoginUserCommand] (ajp--127.0.0.1-8702-9) Run

ning command: LoginUserCommand(LoginName = null, ProfileName = netbulae.test, AuthRecord = {Extkey[name=AAA_AU

THN_AUTH_RECORD_PRINCIPAL;type=class java.lang.String;uuid=AAA_AUTHN_AUTH_RECORD_PRINCIPAL[c3498f07-11fe-464c-

958c-8bd7490b119a];]=testuser}, IsAdmin = false, ActionType = LoginUser, AuthType = CREDENTIALS) internal: fal

se.

    2015-11-02 10:29:17,132 TRACE [org.ovirt.engine.core.bll.GetConfigurationValueQuery] (ajp--127.0.0.1-8702-

9) START, GetConfigurationValueQuery(version: general, configuration value: ApplicationMode, refresh: false, f
iltered: false), log id: 438b23b5

    2015-11-02 10:29:17,134 TRACE [org.ovirt.engine.core.bll.GetConfigurationValueQuery] (ajp--127.0.0.1-8702-

9) FINISH, GetConfigurationValueQuery, log id: 438b23b5

    2015-11-02 10:29:17,134 TRACE [org.ovirt.engine.core.bll.aaa.GetValueBySessionQuery] (ajp--127.0.0.1-8702-

9) START, GetValueBySessionQuery(refresh: false, filtered: false), log id: 63d562b7

    2015-11-02 10:29:17,135 TRACE [org.ovirt.engine.core.bll.aaa.GetValueBySessionQuery] (ajp--127.0.0.1-8702-

9) FINISH, GetValueBySessionQuery, log id: 63d562b7

    2015-11-02 10:29:17,136 TRACE [org.ovirt.engine.core.bll.SearchQuery] (ajp--127.0.0.1-8702-9) START, Searc

hQuery(search type: StoragePool, search pattern: [Datacenter : ], case sensitive: true [from: 0, max: -1] refr

esh: true, filtered: false), log id: 4e440f95

    2015-11-02 10:29:17,138 ERROR [org.ovirt.engine.core.bll.SearchQuery] (ajp--127.0.0.1-8702-9) Query execut

ion failed due to insufficient permissions.

#5 - 03/08/2016 07:10 AM - The Foreman Bot

- Assignee set to Marek Hulán

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3288 added

#6 - 03/16/2016 05:01 AM - Ohad Levy

- Bugzilla link changed from 1123676 to 1203670

#7 - 03/16/2016 05:05 AM - Ohad Levy

- Bugzilla link changed from 1203670 to 1123676

#8 - 03/29/2016 07:23 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

PR closed in favour of documenting required permissions.  Please consider sending a PR to theforeman.org, section 5.2.7 mirroring the one in the

VMware section 5.2.9.
